import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  CodePipelineClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodePipelineClient";
import { DeleteCustomActionTypeInput } from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface DeleteCustomActionTypeCommandInput
  extends DeleteCustomActionTypeInput {}
export interface DeleteCustomActionTypeCommandOutput extends __MetadataBearer {}
declare const DeleteCustomActionTypeCommand_base: {
  new (
    input: DeleteCustomActionTypeCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeleteCustomActionTypeCommandInput,
    DeleteCustomActionTypeCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: DeleteCustomActionTypeCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeleteCustomActionTypeCommandInput,
    DeleteCustomActionTypeCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DeleteCustomActionTypeCommand extends DeleteCustomActionTypeCommand_base {
  protected static __types: {
    api: {
      input: DeleteCustomActionTypeInput;
      output: {};
    };
    sdk: {
      input: DeleteCustomActionTypeCommandInput;
      output: DeleteCustomActionTypeCommandOutput;
    };
  };
}
