import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  CodePipelineClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodePipelineClient";
import { ListWebhooksInput, ListWebhooksOutput } from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface ListWebhooksCommandInput extends ListWebhooksInput {}
export interface ListWebhooksCommandOutput
  extends ListWebhooksOutput,
    __MetadataBearer {}
declare const ListWebhooksCommand_base: {
  new (
    input: ListWebhooksCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ListWebhooksCommandInput,
    ListWebhooksCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    ...[input]: [] | [ListWebhooksCommandInput]
  ): import("@smithy/smithy-client").CommandImpl<
    ListWebhooksCommandInput,
    ListWebhooksCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class ListWebhooksCommand extends ListWebhooksCommand_base {
  protected static __types: {
    api: {
      input: ListWebhooksInput;
      output: ListWebhooksOutput;
    };
    sdk: {
      input: ListWebhooksCommandInput;
      output: ListWebhooksCommandOutput;
    };
  };
}
