import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  CodePipelineClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodePipelineClient";
import { PutJobSuccessResultInput } from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface PutJobSuccessResultCommandInput
  extends PutJobSuccessResultInput {}
export interface PutJobSuccessResultCommandOutput extends __MetadataBearer {}
declare const PutJobSuccessResultCommand_base: {
  new (
    input: PutJobSuccessResultCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    PutJobSuccessResultCommandInput,
    PutJobSuccessResultCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: PutJobSuccessResultCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    PutJobSuccessResultCommandInput,
    PutJobSuccessResultCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class PutJobSuccessResultCommand extends PutJobSuccessResultCommand_base {
  protected static __types: {
    api: {
      input: PutJobSuccessResultInput;
      output: {};
    };
    sdk: {
      input: PutJobSuccessResultCommandInput;
      output: PutJobSuccessResultCommandOutput;
    };
  };
}
